
SCM Creator (+Github) - Feature #2122

Add Repo URL to Repository View

14 Nov 2012 14:42 - Samuel Ford

Status: Closed Start date: 14 Nov 2012

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5.1   

External issue:    

Description

It would be very handy if the repository view could show the repository URL much like the repository tab of the project setting page

does, a la GitHub.

Related issues:

Duplicated by SCM Creator (+Github) - Feature #2390: Currently developer's ha... Closed 13 Aug 2015

Associated revisions

Revision 147 - 22 Dec 2016 19:09 - Andriy Lesyuk

Added URL to repository view (fixes #2122 and #2390)

History

#1 - 15 Nov 2012 00:13 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

Hm... I think it’s possible... Thanks for sharing the idea!

P.S. As far as I know similar functionality is provided by the Checkout plugin of Holger Just...

#2 - 30 Jul 2013 16:47 - Yukinari Toyota

- File broken_repositories_settings_page.png added

- File repository-view-_2122.patch added

I’m working on this issue and I’ve made a patch. attachment:“repository-view-#2122.patch” (see also 

https://github.com/t-yuki/redmine_scm/commit/ca0c269a4da1414bc98f9edb30a7cebd67f94e85)

This looks like:

 

I hope this will be helpful.
http://www.redmine.org/plugins/redmine_checkout
https://github.com/t-yuki/redmine_scm/commit/ca0c269a4da1414bc98f9edb30a7cebd67f94e85


#3 - 30 Jul 2013 16:49 - Yukinari Toyota

- File repository-view.png added

Oops, sorry the above was a miss-selected image..

#4 - 13 Jan 2015 18:19 - Lukas Pirl

- File show_repository_url.patch added

I updated the patch and removed the unrelated “New repository” functionality.

I’d be very happy if you’d merge this easy, small, quick fix into the next version!

Thanks a lot for your work!

#5 - 13 Jan 2015 18:20 - Lukas Pirl

- File 43.png added

Also: screenshot.

#6 - 19 Dec 2016 21:53 - Andriy Lesyuk

- Duplicated by Feature #2390: Currently developer's have no way of actually seeing what the repository url is added

#7 - 21 Dec 2016 19:37 - Andriy Lesyuk

- Target version set to 0.5.1

#8 - 22 Dec 2016 19:09 - Andriy Lesyuk

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r147.

#9 - 22 Dec 2016 19:12 - Andriy Lesyuk

Yukinari, Lukas, I refactored your patch. Thus, I moved the text field to the sidebar. Thanks anyway, it helped.
